ข้ามไปยังเนื้อหา

Ltx 2.3 Quality · Text to Audio

ผสานการทำงาน

ID โมเดล ltx-2.3-quality/text-to-audio
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3-quality/text-to-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$0.682 682 เครดิต API · ≈ ₽73.37 เรียกใช้ในหน้านี้

รับคีย์ API
Lightricks เสียง #text-to-audio

สร้างเสียงจากพรอมต์ข้อความ โดยกำหนดความยาวด้วยจำนวนเฟรมและอัตราเฟรม

Lightricks · เสียง

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

พรอมต์ที่อธิบายเสียงที่จะสร้าง

ค่าเริ่มต้น 121

ระยะเวลาเสียงที่ระบุเป็นจำนวนเฟรมวิดีโอ LTX ให้หาร `num_frames` ด้วย `frames_per_second` เพื่อหาความยาวโดยประมาณเป็นวินาที

ขั้นสูง negative_prompt · frames_per_second · num_inference_steps · guidance_scale · seed · enable_prompt_expansion · enable_safety_checker
ค่าเริ่มต้น pc game, console game...

พรอมต์เชิงลบที่ระบุสิ่งที่ควรหลีกเลี่ยงในการสร้าง

ค่าเริ่มต้น 24

อัตราเฟรมสำหรับคำนวณระยะเวลาของเสียงเอาต์พุต

ค่าเริ่มต้น 15

จำนวนขั้นตอนการอนุมานทั้งหมด

ค่าเริ่มต้น 1

ความเข้มของ classifier-free guidance

Seed ที่ทำให้การสร้างได้ผลลัพธ์ซ้ำเดิม การตั้งค่าเป็น None จะสุ่มเลือก seed

POST /run/ltx-2.3-quality/text-to-audio?wait=20 ใบเสนอราคา → $0.682
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3-quality/text-to-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Ltx 2.3 Quality · Text to Audio

สร้างคลิปเสียงจากข้อความ `prompt` ระยะเวลาประมาณ `num_frames` หารด้วย `frames_per_second` โดย `num_frames` อยู่ระหว่าง 9 ถึง 481 และอัตราเฟรมอยู่ระหว่าง 1 ถึง 60 `num_inference_steps` อยู่ระหว่าง 8 ถึง 30 และ `guidance_scale` อยู่ระหว่าง 1 ถึง 20 รองรับ `negative_prompt` และ `seed`

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
พรอมต์ที่อธิบายเสียงที่จะสร้าง
num_framesไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น121
9 – 481
ระยะเวลาเสียงที่ระบุเป็นจำนวนเฟรมวิดีโอ LTX ให้หาร `num_frames` ด้วย `frames_per_second` เพื่อหาความยาวโดยประมาณเป็นวินาที
frames_per_secondไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น24
1 – 60
อัตราเฟรมสำหรับคำนวณระยะเวลาของเสียงเอาต์พุต
num_inference_stepsไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น15
8 – 30
จำนวนขั้นตอนการอนุมานทั้งหมด
guidance_scaleไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น1
1 – 20
ความเข้มของ classifier-free guidance
negative_promptไม่บังคับ
ประเภทstring
ค่าเริ่มต้นpc game, console game, video game, cartoon, childish, ugly
พรอมต์เชิงลบที่ระบุสิ่งที่ควรหลีกเลี่ยงในการสร้าง
seedไม่บังคับ
ประเภทinteger | null
Seed ที่ทำให้การสร้างได้ผลลัพธ์ซ้ำเดิม การตั้งค่าเป็น None จะสุ่มเลือก seed
enable_prompt_expansionไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นfalse
ควบคุมว่าจะเปิดใช้การขยายพรอมต์หรือไม่
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
ควบคุมว่าจะเปิดใช้การตรวจสอบความปลอดภัยหรือไม่
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-2.3-quality/text-to-audio",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 682,
    "usd": "0.682",
    "charged": 682,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "seed": 42,
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
audio
object {url, content_type, file_name, file_size}เสียงที่สร้างโดยโมเดล
seed
integerค่า seed จริงที่ใช้ระหว่างการสร้าง
prompt
stringพรอมต์การสร้าง รวมถึงการขยายใด ๆ ที่ใช้ก่อนนำไปใช้

โมเดลเพิ่มเติม: เสียง

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/ltx-2.3-quality/text-to-audio.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt